# norootforbuild

%define  realname    libdvdplay
%define  soname      0

Name:           %{realname}%{soname}
Version:        1.0.1
Release:        6.11
License:        GPL
Group:          Productivity/Multimedia/Other
Summary:        A Portable Abstraction Library for DVD Menu Support
URL:            http://developers.videolan.org/libdvdplay/

Source0:        http://www.videolan.org/pub/%{realname}/%{version}/%{realname}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  libdvdread-devel


%description
libdvdplay is a portable abstraction library for DVD menu support. It
provides a simple API to access a DVD device as a block device. This
package contains the libdvdplay runtime library.


%package -n %{realname}-devel
Summary:        A portable abstraction library for DVD menus support
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}

%description -n %{realname}-devel
libdvdplay is a portable abstraction library for DVD menus support, it
provides a simple API to access a DVD device as a block device. This
package contains the libdvdplay static libraries and header files.


%debug_package


%prep
%setup -q -n %{realname}-%{version}


%build
%configure
%__make %{?jobs:-j%{jobs}}


%install
%makeinstall


%clean
%__rm -rf "%{buildroot}"


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%doc AUTHORS COPYING NEWS README THANKS TODO ChangeLog


%files -n %{realname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la


%changelog
* Fri Dec 28 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build
